import Vue from "vue";
import App from "./App.vue";
import router from './router'
import dataV from '@jiaminghi/data-view'
import {
  Radio,
  Button,
  RadioGroup,
  DatePicker,
  Select,
  Option,
  Notification,
  Loading
} from 'element-ui'
import Echart from './components/echart/index.vue'
import "vue-easytable/libs/theme-default/index.css";
import  '@/assets/css/public.scss'
import "@/assets/css/index.scss"


import * as filters from '@/directives/filters'

Vue.config.productionTip = false;

// 自定义组件
Vue.component("Echart",Echart)
// element组件
Vue.use(Radio);
Vue.use(Button);
Vue.use(RadioGroup);
Vue.use(DatePicker);
Vue.use(Select);
Vue.use(Option);
Vue.use(Loading.directive);

Vue.prototype.$loading = Loading.service;
Vue.prototype.$notify = Notification;

// datav组件
Vue.use(dataV)
// 全局数据过滤器
Object.keys(filters).forEach(k => Vue.filter(k, filters[k]));
new Vue({
  router,
  render: h => h(App)
}).$mount("#app");